@echo off
rem    Ezycom IM Mailer Batch File V1.0
rem    Command Format :
rem    IMMAILER        (for node 1 operation)
rem    IMMAILER [node] (for node XX operation)
rem    [node] is the node number from 1 through to 250
rem    eg  BBS 2
set IM=C:\IM
rem NOTE : no trailing backslash
if %1! == !     SET TASK=1
if not %1! == ! SET TASK=%1
:start
cd %IM%
im
if errorlevel 213 goto 38400baud
if errorlevel 212 goto 28800baud
if errorlevel 211 goto 26400baud
if errorlevel 210 goto 24000baud
if errorlevel 208 goto 21600baud
if errorlevel 209 goto 19200baud
if errorlevel 208 goto 16800baud
if errorlevel 208 goto 14400baud
if errorlevel 207 goto 12000baud
if errorlevel 206 goto 9600baud
if errorlevel 205 goto 7200baud
if errorlevel 204 goto 4800baud
if errorlevel 203 goto 2400baud
if errorlevel 202 goto 1275baud
if errorlevel 201 goto 1200baud
if errorlevel 200 goto 300baud
if errorlevel 191 goto scanecho
if errorlevel 190 goto unpackmail
if errorlevel  51 goto localbbs
if errorlevel  50 goto cleanup
if errorlevel  10 goto end
if errorlevel   6 goto fossil
if errorlevel   5 goto modeminit
if errorlevel   4 goto modemresp
if errorlevel   3 goto fulldisk
if errorlevel   2 goto external
if errorlevel   1 goto internal
goto start

:38400baud
cd %EZY%
ezy -b38400 -E20
goto after_ezy

:28800baud
cd %EZY%
ezy -b28800 -E20
goto after_ezy

:26400baud
cd %EZY%
ezy -b26400 -E20
goto after_ezy


:24000baud
cd %EZY%
ezy -b24000 -E20
goto after_ezy

:21600baud
cd %EZY%
ezy -b21600 -E20
goto after_ezy

:19200baud
cd %EZY%
ezy -b19200 -E20
goto after_ezy

:16800baud
cd %EZY%
ezy -b16800 -E20
goto after_ezy

:14400baud
cd %EZY%
ezy -b14400 -E20
goto after_ezy

:12000baud
cd %EZY%
ezy -b12000 -E20
goto after_ezy

:9600baud
cd %EZY%
ezy -b9600 -E20
goto after_ezy

:7200baud
cd %EZY%
ezy -b7200 -E20
goto after_ezy

:4800baud
cd %EZY%
ezy -b4800 -E20
goto after_ezy

:2400baud
cd %EZY%
ezy -b2400 -E20
goto after_ezy

:1275baud
cd %EZY%
ezy -b1275 -E20
goto after_ezy

:1200baud
cd %EZY%
ezy -b1200 -E20
goto after_ezy

:300baud
cd %EZY%
ezy -b300 -E20
goto after_ezy

:localbbs
cd %EZY%
ezy -L -E20

:after_ezy
if errorlevel 20 goto start
if errorlevel 8 goto sysopnext
if errorlevel 7 goto scanecho
if errorelvel 6 goto scanecho
if errorlevel 5 goto scanecho
if errorlevel 4 goto modeminit
if errorlevel 3 goto fossil
if errorlevel 2 goto runtimeerror
if errorlevel 1 goto setuperror
goto start

:unpackmail
cd %EZY%
ezymail -toss -verbose
ezynet  -import -echoarea
goto start

:scanecho
cd %EZY%
ezymail -scan -verbose
ezynet  -export
goto start

:cleanup
cd %EZY%
ezyidx -BUILD
ezyfile -sort -pack -update
usercomp -b20 -p -d90 -s1 -alias
msgcomp -LINK -cleanup
ezyadopt -FILEID
goto start

:sysopnext
echo Hello!!!! Your LOGON NOW!!!
pause
goto start

:weekly
cd %EZY%
goto start

:setuperror
echo Setup Error!
goto end

:runtimeerror
echo Internal Error! Consult Errors.Log
goto start

:modeminit
echo Modem Init Error!
goto End

:fossil
Echo Wrong Fossil Version!
goto end

:modeminit
Echo EZY Unable To Initialize Modem!
goto start

:modemresp
Echo IM Modem NOT Responding!
goto end

:fulldisk
Echo Insufficent Disk Space TO Proceed!
goto end

:external
Echo External IM Error - System File Missing!
goto end

:internal
Echo Internal IM Error!
goto end

:end
Echo Ezycom Is Down!
cd %EZY%
